Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Browse files

MOBILE-54 Upgrade to Spring Framework 3.2.0.RELEASE and updated relat…

…ed dependencies
  • Loading branch information...
commit 064a81a51a2632983e6ea58cfbb6972168053f7c 1 parent c093efc
@royclarkson royclarkson authored
Showing with 12 additions and 6 deletions.
  1. +12 −6 build.gradle
View
18 build.gradle
@@ -8,6 +8,12 @@ buildscript {
}
configure(allprojects) {
+ ext.springVersion = "3.2.0.RELEASE"
+ ext.junitVersion = "4.11"
+ ext.easymockVersion = "2.5.2"
+ ext.hamcrestVersion = "1.3"
+ ext.servletApiVersion = "3.0.1"
+
apply plugin: 'java'
apply plugin: 'eclipse'
apply plugin: 'idea'
@@ -25,13 +31,13 @@ configure(allprojects) {
repositories {
maven { url "http://repo.springsource.org/libs-release" }
- maven { url "http://repo.springsource.org/ebr-maven-external" }
}
dependencies {
- testCompile "junit:junit:4.9"
- testCompile "org.easymock:easymock:2.5.1"
- testCompile "org.springframework:spring-test:3.1.1.RELEASE"
+ testCompile("org.springframework:spring-test:${springVersion}")
+ testCompile("junit:junit:${junitVersion}")
+ testCompile("org.hamcrest:hamcrest-all:${hamcrestVersion}")
+ testCompile("org.easymock:easymock:${easymockVersion}")
}
// servlet-api (2.5) and tomcat-servlet-api (3.0) classpath entries should not be
@@ -83,8 +89,8 @@ configure(subprojects) { subproject ->
project('spring-mobile-device') {
description = 'Spring Mobile Device Resolution Support'
dependencies {
- compile "org.springframework:spring-webmvc:3.1.1.RELEASE"
- compile ("javax.servlet:servlet-api:2.5", provided)
+ compile("org.springframework:spring-webmvc:${springVersion}")
+ compile("javax.servlet:javax.servlet-api:${servletApiVersion}", provided)
}
}
Please sign in to comment.
Something went wrong with that request. Please try again.